config/routes.rb
Rails.application.routes.draw do
  resources :operational_systems
  resources :tools
  resources :projects
  resources :languages
  
  get "/users/login" => "login#index"
  post "/users/login" => "login#create"
  get "/users/logout" => "login#logout"
  resources :users

  root :to => "login#index"

	get 'auth/:provider/callback', to: 'omni_auth_login#create'
  get 'auth/failure', to: redirect('/')
  get 'signout', to: 'omni_auth_login#destroy'


end

app/models/operational_system.rb
class OperationalSystem < ActiveRecord::Base
	has_many :projects
end

app/controllers/operational_systems_controller.rb
class OperationalSystemsController < ApplicationController
  before_action :set_operational_system, only: [:show, :edit, :update, :destroy]

  # GET /operational_systems
  def index
    @operational_systems = OperationalSystem.all
  end

  # GET /operational_systems/1
  def show
  end

  # GET /operational_systems/new
  def new
    @operational_system = OperationalSystem.new
  end

  # GET /operational_systems/1/edit
  def edit
  end

  # POST /operational_systems
  def create
    @operational_system = OperationalSystem.new(operational_system_params)

    if @operational_system.save
      redirect_to @operational_system, notice: 'Operational system was successfully created.'
    else
      render :new
    end
  end

  # PATCH/PUT /operational_systems/1
  def update
    if @operational_system.update(operational_system_params)
      redirect_to @operational_system, notice: 'Operational system was successfully updated.'
    else
      render :edit
    end
  end

  # DELETE /operational_systems/1
  def destroy
    @operational_system.destroy
    redirect_to operational_systems_url, notice: 'Operational system was successfully destroyed.'
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_operational_system
      @operational_system = OperationalSystem.find(params[:id])
    end

    # Only allow a trusted parameter "white list" through.
    def operational_system_params
      params.require(:operational_system).permit(:name)
    end
end

app/helpers/operational_systems_helper.rb
module OperationalSystemsHelper
end

app/views/operational_systems/_form.html.erb
<%= form_for(@operational_system) do |f| %>
  <% if @operational_system.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@operational_system.errors.count, "error") %> prohibited this operational_system from being saved:</h2>

      <ul>
      <% @operational_system.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :name %><br>
    <%= f.text_field :name %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/operational_systems/edit.html.erb
<h1>Editing Operational System</h1>

<%= render 'form' %>

<%= link_to 'Show', @operational_system %> |
<%= link_to 'Back', operational_systems_path %>

app/views/operational_systems/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Listing Operational Systems</h1>

<table>
  <thead>
    <tr>
      <th>Name</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @operational_systems.each do |operational_system| %>
      <tr>
        <td><%= operational_system.name %></td>
        <td><%= link_to 'Show', operational_system %></td>
        <td><%= link_to 'Edit', edit_operational_system_path(operational_system) %></td>
        <td><%= link_to 'Destroy', operational_system, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Operational system', new_operational_system_path %>

app/views/operational_systems/new.html.erb
<h1>New Operational System</h1>

<%= render 'form' %>

<%= link_to 'Back', operational_systems_path %>

app/views/operational_systems/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @operational_system.name %>
</p>

<%= link_to 'Edit', edit_operational_system_path(@operational_system) %> |
<%= link_to 'Back', operational_systems_path %>